from pathlib import Path
from typing import Literal
from pydantic import FilePath

from pydantic_settings import BaseSettings, SettingsConfigDict


class Settings(BaseSettings):
    model_config = SettingsConfigDict(
        env_file="./.env",
        env_ignore_empty=True,
        extra="ignore",
    )

    APP_NAME: str = "Omega"
    VERBOSITY: Literal["DEBUG", "INFO", "WARNING", "ERROR", "CRITICAL"] = "INFO"
    MODEL_PATH: FilePath = Path("model.onnx")


settings = Settings()
